std::_Fwd_list_node_base Struct Reference

`#include <forward_list.h>`

Inheritance diagram for std::_Fwd_list_node_base:
[legend]

## Public Member Functions

| _Fwd_list_node_base (_Fwd_list_node_base &&__x) noexcept
| _Fwd_list_node_base (const _Fwd_list_node_base &)=delete
void | _M_reverse_after () noexcept
_Fwd_list_node_base * | _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end) noexcept
_Fwd_list_node_base & | operator= (_Fwd_list_node_base &&__x) noexcept
_Fwd_list_node_base & | operator= (const _Fwd_list_node_base &)=delete

## Public Attributes

_Fwd_list_node_base * | _M_next

## Detailed Description

A helper basic node class for forward_list. This is just a linked list with nothing inside it. There are purely list shuffling utility methods here.

Definition at line 55 of file forward_list.h.

## Constructor & Destructor Documentation

## _Fwd_list_node_base()

std::_Fwd_list_node_base::_Fwd_list_node_base | ( | _Fwd_list_node_base && | __x | ) |

inline noexcept

Definition at line 58 of file forward_list.h.

## Member Function Documentation

## _M_reverse_after()

void std::_Fwd_list_node_base::_M_reverse_after | ( |  | ) |

inline noexcept

Definition at line 92 of file forward_list.h.

## _M_transfer_after()

_Fwd_list_node_base * std::_Fwd_list_node_base::_M_transfer_after | ( | _Fwd_list_node_base * | __begin,
|  | _Fwd_list_node_base * | __end )

inline noexcept

Definition at line 76 of file forward_list.h.

## operator=()

_Fwd_list_node_base & std::_Fwd_list_node_base::operator= | ( | _Fwd_list_node_base && | __x | ) |

inline noexcept

Definition at line 66 of file forward_list.h.

## Member Data Documentation

## _M_next

_Fwd_list_node_base* std::_Fwd_list_node_base::_M_next

Definition at line 73 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h